it-swarm.asia

Ubuntu'da güncellenmiş bir PEAR / PHPUnit sürümü nasıl kurulur?

Çoğu çevrimiçi öğretici bunu yaparak PEAR'ın nasıl kurulacağını gösterir:

Sudo apt-get install php-pear

Bu 1.6.1 sürümünü yükler. Harika çalışıyor çünkü süper kolay! Benim sorunum PHPUnit'i yüklemek istediğim ve bunun için PEAR version 1.8.1 gerektirmesiydi bu yüzden PHPUnit kurulumum başarısız oldu. Peki Ubuntu’da daha yeni bir PEAR sürümünü nasıl kurarım?

42
Andrew

İlk önce, PEAR'ı kurun.

Sudo apt-get install php-pear

Ardından, kendi kanalını güncellemesini PEAR olarak söyleyin.

Sudo pear channel-update pear.php.net

Ardından, kendisini en yeni sürüme yükseltmesini PEAR olarak söyleyin.

Sudo pear upgrade-all

Şimdi kurulu en yeni PEAR sürümüne sahip olmalısınız.

PHPUnit'i kurmak için, PEAR 'in PHPUnit'i nerede bulacağını bilmesini sağlayın.

Sudo pear channel-discover pear.phpunit.de

Sonra PHPUnit'i yükleyin. (-a tüm bağımlılık paketlerinin de yüklendiğinden emin olur)

Sudo pear install -a phpunit/PHPUnit

Güncelleme:

en son PHPUnit kurulum belgelerine göre, PHPUnit'i aşağıdaki komutlarla yükleyebilirsiniz (önce PEAR güncellediğinizden emin olun):

Sudo pear config-set auto_discover 1
Sudo pear install pear.phpunit.de/PHPUnit
78
Andrew

PhpUnit'in son sürümleri ez/zeta bileşenleri ve symfony's YAML lib gerektiriyor

Sudo apt-get install php-pear
Sudo pear channel-update pear.php.net
Sudo pear upgrade-all
Sudo pear channel-discover pear.phpunit.de
Sudo pear channel-discover components.ez.no
Sudo pear channel-discover pear.symfony-project.com
Sudo pear install -a phpunit/PHPUnit

Burada en son güncellenen kurulum eğitimine bakın

9
Ronan

Yukarıdaki komutu kullanarak kurulum başarısız olursa, Ubuntu'da PHPUnit kurulumundan önce Net_URL2-0.3.1 ve ardından HTTP_Request2-2.0.0RC1 kurmanız gerekebilir. Yukarıdaki paketlerin en son sürümünü bulun ve yükleyin.

Örnek:

Sudo apt-get install curl

Sudo pear install pear/Net_URL2-0.3.1

Sudo pear install pear/HTTP_Request2-2.0.0RC1

Sudo pear install -a phpunit/PHPUnit

3
Pi3cH